Trusted by the world’s leading companies
Aperçu
Le Scheduler JavaScript, ou calendrier d’événements, is un composant de calendrier d’événements complet qui aide les utilisateurs à gérer leur temps efficacement. Il facilite la planification et la replanification des événements ou rendez-vous grâce à des pop-ups d’édition, des actions de glisser-déposer et de redimensionnement.
Pourquoi choisir le Scheduler JavaScript de Syncfusion ?
Haute performance
Le Scheduler charge les données à la demande par défaut pour réduire les temps de transfert et de chargement. Un mappage de champ approprié est obligatoire lors de la liaison du Scheduler à des sources de données avec des noms de champs différents.
Liaison de données transparente
Lie facilement des données avec diverses sources de données locales et distantes telles que JSON, OData, WCF et les services web RESTful à l’aide d’un gestionnaire de données.
Vues intégrées
Plusieurs modes d’affichage intégrés sont disponibles : jour, semaine, semaine de travail, mois, agenda, agenda mensuel, année et chronologie. Avec une variété de variables spécifiques à chaque vue, vous pouvez personnaliser chaque vue.
Événements récurrents
Configurez facilement les événements récurrents pour qu’ils se répètent quotidiennement, hebdomadairement, mensuellement ou annuellement avec des options de récurrence intégrées.
Plusieurs ressources et regroupement
Pour regrouper des ressources en fonction de plusieurs facteurs, le Scheduler offre un large éventail d’options flexibles. Il couvre également les chronologies de planification et le regroupement des rendez-vous par ressource et par date.
S’adapte à toute résolution
Le Scheduler a une mise en page très réactive et un design optimisé pour les ordinateurs de bureau, les écrans tactiles et les smartphones. Il fonctionne bien sur tous les téléphones mobiles utilisant les systèmes d’exploitation iOS, Android ou Windows.
Thèmes personnalisables attrayants
Un design de pointe avec plus de 5 thèmes intégrés tels que Fluent, Tailwind CSS, Bootstrap, Material, Fabric, et bien plus encore. Utilisez l’outil Theme Studio en ligne pour personnaliser facilement les thèmes du Scheduler .
Mondialisation et localisation
Permet aux utilisateurs de différentes régions d’utiliser le Scheduler en formatant les dates, la devise et la numérotation selon leurs préférences.
Scheduler propulsé par l’IA pour une gestion du temps efficace
Boostez votre productivité avec l’AI Scheduler. Il vous suffit de saisir des commandes comme « Planifier une réunion d’équipe chaque vendredi à 10 h », et il gère intelligemment votre calendrier—propose les meilleurs créneaux, évite les chevauchements et organise visuellement votre planning.
Exemple de code du Scheduler JavaScript
Démarrez facilement avec le Scheduler JavaScript en utilisant quelques lignes simples de code HTML et TSX comme démontré ci-dessous. Explorez également notre exemple de Scheduler JavaScript qui vous montre comment afficher et configurer le Scheduler en JavaScript.
<html>
<head>
<link href=https://cdn.syncfusion.com/ej2/material.css rel="stylesheet">
</head>
<body>
<div class="control-section">
<div id="Schedule"></div>
</div>
</body>
</html>import { Schedule, Day, Week, WorkWeek, Month, Agenda } from '@syncfusion/ej2-schedule';
Schedule.Inject(Day, Week, WorkWeek, Month, Agenda);
let data: Object[] = [
{
Id: 1,
Subject: 'Réunion de Scrum',
Location: 'Bureau',
StartTime: new Date(2022, 1, 12, 9, 30),
EndTime: new Date(2023, 1, 12, 10, 30),
RecurrenceRule: 'FREQ=WEEKLY;BYDAY=MO,TU,WE,TH,FR;INTERVAL=1'
}
];
let scheduleObj: Schedule = new Schedule({
selectedDate: new Date(2022, 1, 20),
eventSettings: { dataSource: data }
});
scheduleObj.appendTo('#Schedule');Plusieurs vues du Scheduler
Une grande variété de modes d’affichage intégrés est disponible : jour, semaine, semaine de travail, mois, agenda, agenda mensuel, année et chronologie. Configurez facilement chaque vue individuelle avec différentes options spécifiques à chaque vue.

Vues Jour, semaine et semaine de travail
Affichez les rendez-vous pour une seule journée ou sur plusieurs jours.

Vue Mois
Affichez les événements et les rendez-vous sur une seule journée ou plusieurs jours pour un mois entier.

Vue Agenda
Chargez les événements virtuellement et affichez-les sous forme de liste dans un ordre séquentiel regroupé par jour. Une option existe pour spécifier le nombre de jours à charger initialement dans la vue agenda.

Vue Agenda mensuel
Affichez la mise en page du calendrier et les événements de la date actuellement sélectionnée. Un indicateur rond en bas d’une date indique la présence d’un ou plusieurs événements ce jour-là.

Vue Année
La vue Année affiche tous les mois d’une année particulière dans un format de calendrier. Dans cette vue de calendrier, les dates contenant des événements et des rendez-vous sont mises en évidence par des points placés sous la date individuelle. Lorsque vous cliquez sur la date, la fenêtre contextuelle de l’événement s’affiche et les événements sont listés.
Vues chronologiques
JavaScript fournit temps de vues chronologiques intégrées : jour de la chronologie, semaine de la chronologie, semaine de travail chronologique, mois de la chronologie et année de la chronologie. Chaque vue affiche les événements avec précision sur un axe temporel horizontal pour une seule journée ou plusieurs jours.
Pour offrir de meilleures performances, les vues chronologiques chargent les ressources, les événements et les rendez-vous virtuellement à chaque action de défilement.


Configurations de vue uniques
Configurez facilement chaque mode de vue individuel avec différents paramètres de calendrier. Par exemple, vous pouvez activer la fonction de regroupement dans la vue mensuelle et appliquer des modèles d’événements dans la vue hebdomadaire.
Intervalles d’affichage extensibles
Affichez plusieurs jours, semaines et mois en étendant chaque mode de vue en fonction du nombre d’intervalles fourni.


Intervalle de temps de blocage
Vous pouvez bloquer des plages horaires spécifiques sur le Calendrier d’événements JavaScript pour empêcher la création d’événements et de rendez-vous dans ce créneau horaire.
Rendez-vous en ligne
Avec cette fonctionnalité activée, les utilisateurs peuvent créer et modifier des rendez-vous en ligne en un seul clic sur les cellules du Scheduler ou sur le sujet du rendez-vous existant. Appuyer sur Entrée après avoir tapé le nouveau texte du sujet dans la zone de texte en ligne mettra à jour et enregistrera le rendez-vous de manière appropriée.

Options avancées de gestion des événements
Le Calendrier d’événements JavaScript fournit des représentations claires, dynamiques et exactes des événements et des rendez-vous sur la chronologie du Scheduler , en fonction de leur durée attribuée.

Capacités d’ajout et d’édition
Il existe un support intégré pour une meilleure gestion des événements, tels que la création et l’édition plus faciles de rendez-vous à l’aide de l’éditeur d’événements par défaut ou via des actions intuitives de glisser-déposer et de redimensionnement. De plus, vous pouvez également ajouter des champs de données personnalisés aux événements et à la source de données des ressources.

Sélection multi-événements
Sélectionnez facilement plusieurs événements à la fois en appuyant et en maintenant la touche Ctrl tout en cliquant sur les événements. Sur les appareils mobiles, faites de même en appuyant et en maintenant un événement, et continuez à sélectionner en cliquant simplement sur d’autres événements. Après avoir sélectionné avec succès les événements, supprimez-les ou repositionnez-les simultanément.

Infobulle
L’infobulle personnalisable affiche les informations de l’événement lorsque le pointeur de la souris survole l’événement. Faites de même sur les appareils mobiles en appuyant et en maintenant un événement.

Personnalisation de l’apparence
Modifiez l’apparence des événements et des rendez-vous du Scheduler JavaScript en personnalisant leur apparence et leur style par défaut à l’aide de n’importe quel HTML ou CSS.

Fuseau horaire
Indépendamment du fuseau horaire du système, le Calendrier d’événements JavaScript prend en charge la définition du fuseau horaire requis pour le contrôle lui-même, ainsi que pour les événements.

Presse-papiers
Le Scheduler JavaScript prend en charge la fonctionnalité de presse-papiers, permettant aux utilisateurs de gérer efficacement les événements. Les utilisateurs peuvent copier les événements sélectionnés à l’aide du raccourci Ctrl+C, couper les événements avec Ctrl+X, et coller les événements dans différents créneaux horaires à l’aide de Ctrl+V.

Lignes adaptatives
Une option intégrée a été ajoutée au Calendrier d’événements JavaScript pour augmenter automatiquement la hauteur des lignes dans les vues mensuelles et chronologiques lorsque de nouveaux événements ou rendez-vous simultanés sont ajoutés.
Menu contextuel
Le menu contextuel intégré au Scheduler JavaScript s’ouvre lorsqu’une cellule ou un rendez-vous is cliqué avec le bouton droit de la souris.

Synchronisation de données en temps réel
Les données de rendez-vous en temps réel se synchronisent précisément avec notre Scheduler JavaScript.

Intégration de Google Agenda et Outlook
Synchronisez facilement les événements entre notre Calendrier d’événements JavaScript et Google ou Outlook Calendar via l’API Google Calendar ou la bibliothèque d’objets de Microsoft Outlook.

Mises à jour en temps réel
La communication bidirectionnelle des données transmet les mises à jour des rendez-vous côté serveur effectuées sur le Scheduler à tous les clients connectés via SignalR.
Options de calendrier riches en fonctionnalités
Le Calendrier d’événements JavaScript hérite de presque toutes les fonctionnalités spécifiques au calendrier, telles que le premier jour de la semaine et l’échelle de temps.

Premier jour de la semaine
Personnalisez le premier jour de la semaine, qui par défaut est le dimanche, selon les paramètres régionaux. Vous pouvez également utiliser cette option pour des vues individuelles.

Heures de début et de fin personnalisées
Affichez la mise en page du Scheduler d’événements avec des durées spécifiques en masquant les heures indésirables.

Échelle de temps flexible
Utilisez des options d’échelle de temps personnalisables pour afficher clairement une chronologie des événements et définir une durée différente.

Temps de travail
Les cellules actives du Scheduler (affichées en blanc) représentent visuellement les jours de travail et les heures de travail.

Mise en évidence de l’heure actuelle
Indiquez la date actuelle avec un en-tête de date mis en évidence. Marquez précisément l’heure actuelle sur toutes les vues.

Masquage des jours de week-end
Le masquage des jours de week-end du Scheduler vous permet d’afficher uniquement les jours ouvrables dans toutes les vues.

Affichage du numéro de semaine
Affichez le numéro de semaine de la plage de dates actuelle à côté de l’en-tête de date dans les vues jour, semaine et semaine de travail. Affichez également le numéro de semaine dans la vue mensuelle comme première colonne. Le numéro de semaine is déterminé par le premier jour de la semaine et les règles (premier jour ou première semaine complète, ou première semaine de quatre jours).

Mode horaire
Le contrôle du Scheduler prend en charge les formats d’heure de 12 heures et de 24 heures.
Interface utilisateur entièrement personnalisable
Personnalisez l’apparence de n’importe quelle partie de l’interface du Scheduler à l’aide de styles HTML et CSS.

En-tête de date
Modifiez l’apparence par défaut de la barre d’en-tête en ajoutant n’importe quel type de CSS, de texte personnalisé ou d’image.

Interface utilisateur complète du Scheduler
Un événement côté client intégré permet aux utilisateurs finaux de personnaliser n’importe quelle partie de l’interface utilisateur du Scheduler .

Barre d’en-tête
Ajoutez des éléments personnalisés aux options de barre d’en-tête par défaut. Vous pouvez masquer ou afficher les options de barre d’en-tête communes.

Cellules du Scheduler
Les options de modèle prêtes à l’emploi vous permettent de personnaliser facilement les cellules en ajoutant n’importe quel type de texte, d’image ou de CSS.

Pop-ups rapides
Personnalisez facilement les pop-ups qui s’ouvrent en un seul clic sur les cellules, les événements ou les rendez-vous avec votre propre interface utilisateur ou conception de modèle.

Ouvrir l’éditeur d’événements en externe
Le Calendrier d’événements JavaScript offre une méthode intégrée pour ouvrir la fenêtre de l’éditeur d’événements par défaut par programmation.
Interactions conviviales
La conception UI moderne et tendance du Scheduler JavaScript rend les interactions utilisateur plus simples et plus efficaces.

Aperçu rapide de l’événement
Un clic ou un toucher sur les événements affiche leurs détails importants, tels que le sujet et l’heure, ainsi que les options de modification et de suppression.

Sélection de cellules
Cliquez et faites glisser le pointeur sur les cellules du Scheduler pour une sélection multiple de cellules. Vous pouvez faire de même avec les raccourcis clavier.

Conteneur d’événements
Un clic sur l’indicateur de texte (+n more) dans les vues mensuelles et chronologiques ouvrira un conteneur d’événements listant tous les détails d’événements et de rendez-vous masqués d’une journée.

Navigation rapide
Le Scheduler JavaScript offre un moyen intuitif de naviguer d’avant en arrière entre les plages de dates à l’aide d’un calendrier intégré, et également de naviguer entre différents modes de vue.

Applications en temps réel
De nombreuses applications en temps réel utilisent des Scheduler s comme partie intégrante, servant ainsi à des fins différentes en fonction du type de projet. Certaines des applications actives sont : Calendrier des tarifs, Calendrier des salles de réunion, Scheduler de rendez-vous chez le médecin et Réservation de chambres d’hôtel.
Fonctionnalités interactives
Le Scheduler JavaScript permet aux utilisateurs d’exporter ses événements de deux manières : sous forme de fichier Excel ou de fichier ICS.

Exporter vers Excel
Le Scheduler JavaScript vous permet d’exporter tous ses événements vers un document Excel par défaut. Il offre également des options de personnalisation supplémentaires pour exporter des collections de données d’événements personnalisées.

Exporter et importer des ICS
Le Calendrier d’événements JavaScript prend en support l’exportation de toutes ses données d’événements au format iCal, et il prend en support l’importation d’événements à partir d’un fichier iCal dans le Scheduler .

API conviviales pour les développeurs
Les développeurs peuvent avoir un contrôle total sur l’interface utilisateur et le comportement du calendrier d’événements grâce à ses API intégrées et conviviales. Il vous permet de personnaliser même les fonctionnalités complexes du Scheduler avec facilité.
Accessibilité
Le composant Scheduler JavaScript is facilement accessible par les lecteurs d’écran. Un support complet d’interaction au clavier a également été fourni.

Complètement accessible
Le composant Scheduler JavaScript a un support complet d’accessibilité WAI-ARIA. L’interface utilisateur du Scheduler comprend des éléments visuels à contraste utile, offrant aux personnes malvoyantes la meilleure expérience de visualisation. De plus, des descriptions d’interface utilisateur valides sont facilement accessibles grâce aux technologies d’assistance telles que les lecteurs d’écran.

Interactif au clavier
Divers raccourcis clavier sont disponibles pour effectuer presque toutes les actions du Scheduler , telles que la sélection multiple de cellules ou d’événements et la navigation vers d’autres vues.

De droite à gauche (RTL)
Affichez le Scheduler d’événements en respectant les conventions de droite à gauche.
Autres frameworks supportés
Le Scheduler est disponible dans les frameworks Blazor, React, Angular et Vue. Explorez ses options spécifiques à la plateforme via les liens suivants :
Navigateurs supportés
Le Scheduler JavaScript fonctionne bien avec tous les navigateurs web modernes, y compris Chrome, Firefox, Edge, Safari et Opera.

Vous ne savez pas comment créer votre premier Scheduler JavaScript ? Notre documentation peut vous aider.
J’aimerais le lire maintenantFoire aux questions
Pourquoi devriez-vous choisir le Scheduler JavaScript de Syncfusion ?
Le Scheduler JavaScript, riche en fonctionnalités, offre les avantages suivants :
- Une mise en page très réactive et un design finement optimisé pour les ordinateurs de bureau, les tablettes et les téléphones mobiles.
Différentes vues de base comme le jour, la semaine, la semaine de travail, le mois et l’année en mode calendrier et le mode chronologique.
Le défilement virtuel vous permet de charger un grand nombre de ressources et d’événements dynamiquement.
- S’adapte instantanément à différents fuseaux horaires.
Regroupement de ressources multiples basé sur la chronologie, l’horizontale, la hiérarchique et les vues par date.
- Synchronisation facile des événements avec les calendriers Google et Outlook.
- L’un des meilleurs Scheduler s JavaScript du marché qui offre une interface utilisateur riche en fonctionnalités pour interagir avec le logiciel.
Configuration simple et API.
- Prise en charge de tous les navigateurs modernes.
Vastes ressources d’apprentissage telles que des démos et une documentation pour apprendre et démarrer rapidement.
Quel est le prix du Scheduler JavaScript de Syncfusion ?
Nous ne vendons pas le Scheduler JavaScript séparément. Il n’est disponible à l’achat que dans le cadre de la licence d’équipe Syncfusion. Celle-ci contient plus de 1,600 composants et frameworks, y compris le Scheduler JavaScript. Le prix de la licence d’équipe commence à 395 $ par mois pour 5 développeurs et inclut le support et les mises à jour jusqu’à l’expiration de l’abonnement. De plus, nous pourrions offrir des réductions en fonction des promotions actuellement actives. Veuillez contacter nos spécialistes produits dès aujourd’hui pour voir si vous êtes admissible à des réductions supplémentaires.
Où puis-je trouver la démo du Scheduler JavaScript de Syncfusion ?
Vous pouvez trouver notre démo du Scheduler JavaScript, qui montre comment rendre et configurer le Scheduler .
Puis-je acheter le composant Scheduler JavaScript de Syncfusion séparément ?
Non, nos 1,600+ composants et frameworks pour le web, le mobile et le bureau, y compris notre Scheduler JavaScript, ne sont pas vendus individuellement. Ils ne sont disponibles que dans le cadre d’une licence d’équipe. Cependant, nous avons fixé un prix compétitif pour le produit, de sorte qu’il ne coûte que légèrement plus cher que ce que certains autres fournisseurs facturent pour leur seul contrôle de Scheduler . Nous avons également constaté, d’après notre expérience, que nos clients commencent généralement par utiliser l’un de nos produits, puis s’étendent rapidement à plusieurs produits, c’est pourquoi nous avons jugé préférable d’offrir tous les 1,600+ composants et frameworks pour un abonnement qui commence à 395 $ par mois pour une équipe de 5 développeurs. De plus, nous pourrions être en mesure d’offrir des réductions en fonction des promotions actuellement actives. Veuillez contacter nos spécialistes produits dès aujourd’hui pour voir si vous êtes admissible à des réductions supplémentaires.
Puis-je télécharger et utiliser gratuitement le Scheduler JavaScript de Syncfusion ?
Non, il s’agit d’un produit commercial qui nécessite une licence payante. Cependant, une licence communautaire gratuite est également disponible pour les entreprises et les particuliers dont les organisations ont moins d’un million de dollars US de revenus bruts annuels et cinq développeurs ou moins.
Comment démarrer avec le Scheduler JavaScript de Syncfusion ?
Un bon point de départ serait notre documentation complète de démarrage.
Nos clients nous aiment
Ressources du Scheduler JavaScript de Syncfusion
Recompenses
L’excellence—c’est une chose de l’affirmer, mais cela signifie davantage lorsque les autres la reconnaissent. Syncfusion® est fier de détenir les récompenses de l'industrie suivantes.
Activités récentes sur les blogs du Scheduler JavaScript
Les articles de blog sur le Scheduler JavaScript vous guideront dans la création de votre première application avec les contrôles JavaScript. Ils fournissent des stratégies de résolution de problèmes, décrivent les fonctionnalités, annoncent les nouvelles versions de fonctionnalités, expliquent les meilleures pratiques et présentent des exemples de scénarios. Explorez nos derniers articles sur nos canaux de blog pour les mises à jour du Scheduler JavaScript.


Trusted by the world’s leading companies

Syncfusion Trusted Companies

Aperçu

Le Planificateur Angular (ou Calendrier d’événements Angular) est un composant de calendrier d’événements entièrement fonctionnel qui aide les utilisateurs à gérer leur temps efficacement. Il facilite la planification et la replanification des ressources via des fenêtres contextuelles d’édition, le glisser-déposer et les actions de redimensionnement.


Pourquoi choisir Syncfusion Essential Studio® Planificateur Angular ?

Angular Scheduler High Performance image

Haute performance

Le Planificateur Angular charge les données à la demande par défaut pour réduire les temps de transfert et de chargement. Un mappage approprié des champs est obligatoire lors de la liaison du planificateur à des sources de données avec des noms de champs différents.

Angular Scheduler Effective Data Binding image

Liaison de données transparente

Lie les données de manière transparente avec diverses sources de données locales et distantes telles que JSON, OData, WCF et les services web RESTful à l’aide d’un gestionnaire de données.

Angular Scheduler Multiple Views image

Vues intégrées

Plusieurs modes de vue intégrés sont disponibles : jour, semaine, semaine de travail, mois, agenda, mois-agenda, année et chronologie. Avec une variété de variables spécifiques à la vue, vous pouvez personnaliser chaque vue.

Angular Scheduler Recurring Events image

Événements récurrents

Configurez facilement des événements récurrents pour qu’ils se répètent quotidiennement, hebdomadairement, mensuellement ou annuellement avec des options de récurrence intégrées.

Angular Scheduler Multiple Resource image

Plusieurs ressources et regroupement

Pour regrouper les ressources selon plusieurs facteurs, le Planificateur Angular offre un large éventail d’options flexibles. Il couvre également les délais de planification et le regroupement des rendez-vous par ressource et par date.

Angular Scheduler Adaptive Ui Support image

S’adapte à toute résolution

Le planificateur a une mise en page très réactive et une conception optimisée pour les ordinateurs de bureau, les écrans tactiles et les smartphones. Il fonctionne bien sur tous les téléphones mobiles utilisant iOS, Android ou Windows OS.

Angular Scheduler Attractive Theme Support image

Thèmes personnalisables attrayants

Conception de pointe avec plus de 5 thèmes intégrés tels que Fluent, Tailwind CSS, Bootstrap, Material, Fabric, et plus encore. Utilisez l’outil Theme Studio en ligne pour personnaliser facilement les thèmes du planificateur.

Angular Scheduler Globalization Support image

Mondialisation et localisation

Permet aux utilisateurs de différentes régions d’utiliser le planificateur en formatant les dates, la devise et la numérotation selon leurs préférences.


Planification intelligente avec Scheduler piloté par IA

Découvrez une planification plus intelligente grâce à notre Scheduler piloté par IA. Il vous suffit de taper “Réunion d’équipe tous les vendredis à 10 h” et il organise automatiquement vos événements, résout les conflits et s’adapte à votre flux de travail. Votre calendrier ne se contente pas de suivre le temps : il vous aide à en tirer le meilleur parti.

Voir la démo en direct de notre Scheduler piloté par IA

Composant Angular Scheduler alimenté par IA.


Exemple de code du Planificateur Angular

Démarrez facilement avec le planificateur Angular en utilisant quelques lignes simples de code HTML et TS comme démontré ci-dessous. Explorez également notre exemple de planificateur Angular qui vous montre comment rendre et configurer le planificateur dans Angular.

<ejs-schedule [selectedDate]="selectedDate" [eventSettings]="eventSettings">
</ejs-schedule>
//app.component.ts
import { Component } from '@angular/core';
import { EventSettingsModel, DayService, WeekService, WorkWeekService, MonthService, AgendaService } from '@syncfusion/ej2-angular-schedule';

@Component({
  selector: 'app-root',
  templateUrl: 'app.component.html',
  providers: [DayService, WeekService, WorkWeekService, MonthService, AgendaService]
})

export class AppComponent {
  public selectedDate: Date = new Date(2022, 1, 20);
  private data: Object[] = [
    {
      Id: 1,
      Subject: 'Scrum Meeting',
      Location: 'Office',
      StartTime: new Date(2022, 1, 12, 9, 30),
      EndTime: new Date(2023, 1, 12, 10, 30),
      RecurrenceRule: 'FREQ=WEEKLY;BYDAY=MO,TU,WE,TH,FR;INTERVAL=1'
    },
  ];

  public eventSettings: EventSettingsModel = { dataSource: this.data };
}

//app.module.ts
import { ScheduleModule } from '@syncfusion/ej2-angular-schedule';

import { CommonModule } from '@angular/common';
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppComponent } from '../app.component';

@NgModule({
  declarations: [AppComponent],
  imports: [CommonModule, ScheduleModule, BrowserModule],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule {}

Plusieurs vues de planificateur

Une grande variété de modes de vue intégrés sont disponibles : jour, semaine, semaine de travail, mois, agenda, mois-agenda, année et chronologie. Configurez facilement chaque vue individuelle avec des options différentes et spécifiques à la vue.

Vue Jour dans le composant Planificateur Angular.

Vues Jour, semaine et semaine de travail

Affichez les rendez-vous pour une seule journée ou sur plusieurs jours.

Vue Mois dans le composant Planificateur Angular.

Vue Mois

Afficher les événements et les rendez-vous sur une seule journée ou plusieurs jours pour un mois entier.

Vue Agenda dans le composant Planificateur Angular.

Vue Agenda

Chargez les événements virtuellement et affichez-les sous forme de liste dans un ordre séquentiel regroupés par jour. Une option existe pour spécifier le nombre de jours à charger initialement dans la vue agenda.

Vue mois agenda dans le composant Planificateur Angular.

Vue Mois-agenda

Affichez la mise en page du calendrier et les événements de la date actuellement sélectionnée. Un indicateur rond en bas d’une date indique la présence d’un ou plusieurs événements ce jour-là.

Vue Année dans le composant Planificateur Angular.

Vue Année

La vue Année affiche tous les mois d’une année particulière sous forme de calendrier. Dans cette vue de calendrier, les dates contenant des événements et des rendez-vous sont mises en évidence par des points placés sous la date individuelle. Lorsque vous cliquez sur la date, la fenêtre contextuelle de l’événement s’affiche et les événements sont listés.


Vues chronologiques

Angular fournit cinq vues chronologiques intégrées : jour chronologique, semaine chronologique, semaine de travail chronologique, mois chronologique et année chronologique. Chaque vue affiche les événements avec précision le long d’un axe de temps horizontal pour une seule journée ou plusieurs jours.

Pour offrir de meilleures performances, les vues chronologiques chargent les ressources, les événements et les rendez-vous virtuellement à chaque action de défilement.

Vue chronologique dans le composant Planificateur Angular.


Vue unique dans le composant Planificateur Angular.

Configurations de vue uniques

Configurez facilement chaque mode de vue individuel avec des paramètres de calendrier différents. Par exemple, vous pouvez activer la fonction de regroupement en mode mois et appliquer des modèles d’événements en mode semaine.


Intervalles de vue extensibles

Affichez plusieurs jours, semaines et mois en étendant chaque mode de vue en fonction du nombre d’intervalles fourni.

Intervalles de vue extensibles dans le composant Planificateur Angular.


Bloquer les intervalles de temps dans le composant Planificateur Angular.

Bloquer l’intervalle de temps

Vous pouvez bloquer des plages horaires spécifiques sur le Calendrier d’événements Angular pour empêcher la création d’événements et de rendez-vous dans cet intervalle de temps.


Rendez-vous en ligne

Avec cette fonctionnalité activée, les utilisateurs peuvent créer et modifier des rendez-vous en ligne en un seul clic sur les cellules du planificateur ou sur le sujet d’un rendez-vous existant. Appuyer sur Entrée après avoir tapé le nouveau texte du sujet dans la zone de texte en ligne mettra à jour et enregistrera le rendez-vous de manière appropriée.

Rendez vous en ligne dans le composant Planificateur Angular.


Options de gestion des événements avancées

Le Calendrier d’événements Angular fournit des représentations claires, vivantes et exactes des événements et des rendez-vous le long de la chronologie du planificateur, en fonction de leur durée assignée.

Illustration des capacités dajout et de modification du Planificateur Angular.

Capacités d’ajout et de modification

Il existe un support intégré pour une meilleure gestion des événements, comme la création et l’édition plus faciles des rendez-vous à l’aide de l’éditeur d’événements par défaut ou via des actions intuitives de glisser-déposer et de redimensionnement. De plus, vous pouvez également ajouter des champs de données personnalisés aux événements et à la source de données des ressources.

Illustration de la sélection multiple dévénements dans le Planificateur Angular.

Sélection multiple d’événements

Sélectionnez facilement plusieurs événements à la fois en appuyant et en maintenant la touche Ctrl tout en cliquant sur les événements. Sur les appareils mobiles, faites de même en appuyant et en maintenant un événement, et continuez à sélectionner en tapant une seule fois sur les autres événements. Après avoir sélectionné les événements avec succès, supprimez-les ou repositionnez-les simultanément.

Illustration des info-bulles dévénements du Planificateur Angular.

Info-bulle

L’info-bulle personnalisable affiche les informations sur l’événement lorsque le pointeur de la souris survole l’événement. Faites de même sur les appareils mobiles en appuyant et en maintenant un événement.

Illustration de la personnalisation dévénements avec le Planificateur Angular.

Personnalisation de l’apparence

Modifiez l’apparence des événements et des rendez-vous du Planificateur Angular en personnalisant leur apparence et leur style par défaut à l’aide de n’importe quel code HTML ou CSS.

Illustration du support des fuseaux horaires du Planificateur Angular.

Fuseau horaire

Quel que soit le fuseau horaire du système, le Calendrier d’événements Angular prend en charge la définition du fuseau horaire requis pour le contrôle lui-même, ainsi que pour les événements.

Illustration du support du presse-papiers du Planificateur Angular.

Presse-papiers

Le Planificateur Angular prend en charge la fonctionnalité de presse-papiers, permettant aux utilisateurs de gérer efficacement les événements. Les utilisateurs peuvent copier les événements sélectionnés à l’aide du raccourci Ctrl+C, couper les événements avec Ctrl+X, et coller les événements dans différentes plages horaires à l’aide de Ctrl+V.


Hauteur de ligne automatique dans le composant Planificateur Angular.

Lignes adaptatives

Une option intégrée a été ajoutée au Calendrier d’événements Angular pour augmenter automatiquement la hauteur des lignes dans les vues mois et chronologiques lorsque de nouveaux événements ou rendez-vous simultanés sont ajoutés.


Le menu contextuel intégré au Planificateur Angular s’ouvre lorsqu’une cellule ou un rendez-vous est cliqué avec le bouton droit de la souris.

Menu contextuel dans le composant Planificateur Angular.


Synchronisation des données en temps réel

Les données de rendez-vous en temps réel se synchronisent précisément avec notre Planificateur Angular.

Illustration de lintégration de Google Agenda avec le Planificateur Angular.

Intégration Outlook et Google Agenda

Synchronisez facilement les événements entre notre Calendrier d’événements Angular et Google ou Outlook Calendar via l’API Google Calendar ou la bibliothèque d’objets de Microsoft Outlook.

Illustration des mises à jour en temps réel dans le Planificateur Angular.

Mises à jour en temps réel

La communication bidirectionnelle des données transmet les mises à jour de rendez-vous côté serveur effectuées sur le planificateur à tous les clients connectés via SignalR.


Options de calendrier riches en fonctionnalités

Le Calendrier d’événements Angular hérite de presque toutes les fonctionnalités spécifiques au calendrier, telles que le premier jour de la semaine et l’échelle de temps.

Illustration du premier jour de la semaine dans le Planificateur Angular.

Premier jour de la semaine

Personnalisez le premier jour de la semaine, qui est par défaut le dimanche, selon les paramètres régionaux par défaut. Vous pouvez également utiliser cette option pour les vues individuelles.

Illustration de la définition des heures de début et de fin sur le Planificateur Angular.

Heures de début et de fin personnalisées

Affichez la disposition du planificateur d’événements avec des durées spécifiques en masquant les heures indésirables.

Illustration des options déchelle de temps dans le Planificateur Angular.

Échelle de temps flexible

Utilisez des options d’échelle de temps personnalisables pour visualiser clairement une chronologie d’événements et définir une durée différente.

Illustration du temps de travail dans le Planificateur Angular.

Temps de travail

Les cellules actives du planificateur (affichées en blanc) représentent visuellement les jours et les heures de travail.

Illustration de la mise en évidence de lheure actuelle dans le Planificateur Angular.

Mise en évidence de l’heure actuelle

Indiquez la date actuelle avec un en-tête de date mis en évidence. Marquez précisément l’heure actuelle sur toutes les vues.

Illustration des jours de week-end masqués dans le Planificateur Angular.

Masquer les jours de week-end

Masquer les jours de week-end du planificateur vous permet d’afficher uniquement les jours ouvrables dans toutes les vues.

Illustration de laffichage des numéros de semaine dans le Planificateur Angular.

Affichage du numéro de semaine

Affichez le numéro de semaine de la plage de dates actuelle à côté de l’en-tête de date dans les vues jour, semaine et semaine de travail. Affichez également le numéro de semaine dans la vue mois comme première colonne. Le numéro de semaine est déterminé par le premier jour de la semaine et les règles des semaines (premier jour ou première semaine complète, ou première semaine de quatre jours).

Illustration de laffichage du format de lheure dans le Planificateur Angular.

Mode horaire

Le contrôle du planificateur prend en charge les formats horaires de 12 et 24 heures.


Interface utilisateur entièrement personnalisable

Personnalisez l’apparence de n’importe quelle partie de l’interface du planificateur à l’aide de styles HTML et CSS.

Illustration de la personnalisation de len-tête de date dans le Planificateur Angular.

En-tête de date

Changez l’apparence par défaut de la barre d’en-tête en ajoutant n’importe quel type de CSS, de texte personnalisé ou d’image.

Illustration de la personnalisation complète du Planificateur Angular.

Interface utilisateur complète du planificateur

Un événement côté client intégré permet aux utilisateurs finaux de personnaliser n’importe quelle partie de l’interface utilisateur du planificateur.

Illustration de la barre den tête commune dans le Planificateur Angular.

Barre d’en-tête

Ajoutez des éléments personnalisés aux options de la barre d’en-tête par défaut. Vous pouvez masquer ou afficher les options de la barre d’en-tête commune.

Illustration de la personnalisation des cellules avec le Planificateur Angular.

Cellules du planificateur

Les options de modèle prêtes à l’emploi vous permettent de personnaliser facilement les cellules en ajoutant n’importe quel type de texte, d’image ou de CSS.

Illustration des pop-ups rapides dans le Planificateur Angular.

Pop-ups rapides

Personnalisez facilement les pop-ups qui s’ouvrent en un seul clic sur les cellules, les événements ou les rendez-vous avec votre propre interface utilisateur ou conception de modèle.

Illustration de léditeur dévénements dans le Planificateur Angular.

Ouvrir l’éditeur d’événements en externe

Le calendrier d’événements Angular offre une méthode intégrée pour ouvrir la fenêtre de l’éditeur d’événements par défaut par programmation.


Interactions conviviales

La conception moderne et tendance de l’interface utilisateur du planificateur Angular rend les interactions utilisateur plus simples et plus efficaces.

Pop-up affichant des informations sur lévénement.

Aperçu rapide de l’événement

Cliquer ou taper sur les événements affiche leurs détails importants, tels que le sujet et l’heure, ainsi que les options de modification et de suppression.

Sélection de cellule du Planificateur Angular.

Sélection de cellule

Cliquez et faites glisser le pointeur sur les cellules du planificateur pour une sélection de plusieurs cellules. Vous pouvez faire de même avec les raccourcis clavier.

Conteneur dévénements dans le Planificateur Angular.

Conteneur d’événements

Cliquer sur l’indicateur de texte (+n more) dans les vues mois et chronologiques ouvrira un conteneur d’événements listant tous les détails d’événements et de rendez-vous masqués d’une journée.

Options de navigation dans le Planificateur Angular.

Le planificateur Angular offre un moyen intuitif de naviguer en avant et en arrière parmi les plages de dates à l’aide d’un calendrier intégré, et également de naviguer entre les différents modes de vue.


Calendrier dévénements Angular utilisé dans des applications en temps réel.

Applications en temps réel

De nombreuses applications en temps réel utilisent des planificateurs comme partie intégrante, servant ainsi différents objectifs en fonction du type de projet. Certaines des applications actives sont : Calendrier des tarifs, Calendrier des salles de réunion, Planificateur de rendez-vous médicaux, Réservation de chambres d’hôtel.


Fonctionnalités interactives

Le Planificateur Angular permet aux utilisateurs d’exporter ses événements de deux manières : sous forme de fichier Excel ou de fichier ICS.

Illustration du support dexportation Excel dans le Planificateur Angular.

Exportation vers Excel

Le Planificateur Angular vous permet d’exporter tous ses événements vers un document Excel par défaut. Il offre également des options de personnalisation supplémentaires pour exporter des collections de données d’événements personnalisées.

Illustration de lexportation et de limportation de fichiers ICS dans le calendrier dévénements Angular.

Exporter et importer des ICS

Le Calendrier d’événements Angular prend en charge l’exportation de toutes ses données d’événements au format iCal, et il prend en charge l’importation d’événements à partir d’un fichier iCal dans le planificateur.

API conviviales pour les développeurs du Planificateur Angular.

API conviviales pour les développeurs

Les développeurs peuvent avoir un contrôle total sur l’interface utilisateur et le comportement du calendrier d’événements grâce à ses API intégrées et conviviales pour les développeurs. Cela vous permet de personnaliser même les fonctionnalités complexes du planificateur avec facilité.


Accessibilité

Le composant Planificateur Angular est facilement accessible par les lecteurs d’écran. Un support complet d’interaction au clavier a également été fourni.

Planificateur Angular activé pour laccessibilité.

Entièrement accessible

Le composant Planificateur Angular dispose d’un support d’accessibilité WAI-ARIA complet. L’interface utilisateur du planificateur comprend des éléments visuels à contraste élevé, offrant aux personnes malvoyantes la meilleure expérience visuelle. De plus, les descriptions d’interface utilisateur valides sont facilement accessibles grâce à des technologies d’assistance telles que les lecteurs d’écran.

Calendrier dévénements Angular interactif au clavier.

Interactif au clavier

Divers raccourcis clavier sont disponibles pour effectuer presque toutes les actions du planificateur, telles que la sélection de plusieurs cellules ou événements et la navigation vers d’autres vues.

Prise en charge de droite à gauche dans le Planificateur Angular.

Droite à gauche (RTL)

Rendez le planificateur d’événements en suivant les conventions appropriées de droite à gauche.


Compatibilité des versions Angular

Avec l’amélioration continue des versions d’Angular, le Planificateur Angular est tenu à jour pour le rendre compatible avec les versions à partir de 4 jusqu’à la dernière version.

Compatibilité des versions du Planificateur Angular.





Autres frameworks pris en charge

Le Planificateur est disponible dans les frameworks Blazor, React, JavaScript et Vue. Explorez ses options spécifiques à la plateforme via les liens suivants :

Le Planificateur Angular fonctionne bien avec tous les navigateurs web modernes, y compris Chrome, Firefox, Edge, Safari et Opera.

Navigateurs pris en charge dans le Planificateur Angular.

Foire aux questions

  • Disposition très réactive et conception finement optimisée pour les ordinateurs de bureau, les tablettes et les téléphones mobiles.
  • Différentes vues de base comme le jour, la semaine, la semaine ouvrable, le mois, et l’année en mode calendrier et le mode chronologique.

  • Le défilement virtuel permet de charger un grand nombre de ressources et d’événements dynamiquement.

  • S’adapte instantanément aux différents fuseaux horaires.
  • Regroupement de ressources multiples basé sur la chronologie, l’horizontale, la hiérarchique, et les vues par date.

  • L’un des meilleurs planificateurs Angular du marché qui offre une interface utilisateur riche en fonctionnalités pour interagir avec le logiciel.
  • Synchronisation facile des événements avec Google et Outlook Calendars.
  • Configuration simple et API.

  • Prise en charge de tous les navigateurs modernes.
  • Ressources d’apprentissage étendues telles que des démos, de la documentation et des vidéos pour apprendre rapidement et démarrer avec le planificateur Angular.

Nous ne vendons pas le planificateur Angular séparément. Il n’est disponible à l’achat que dans le cadre de la licence d’équipe Syncfusion. Celle-ci contient plus de 1,600 composants et frameworks, y compris le planificateur Angular. Le prix de la licence d’équipe commence à 395 $ par mois pour 5 développeurs, et inclut le support et les mises à jour jusqu’à l’expiration de l’abonnement. De plus, nous pourrions offrir des réductions en fonction des promotions actuellement actives. Veuillez contacter nos spécialistes produit dès aujourd’hui pour savoir si vous êtes admissible à des réductions supplémentaires.

Vous pouvez trouver notre démo du Planificateur Angular, qui montre comment rendre et configurer le planificateur.

Non, nos 1,600+ composants et frameworks pour le web, le mobile et le bureau, y compris notre planificateur Angular, ne sont pas vendus individuellement. Ils ne sont disponibles que dans le cadre d’une licence d’équipe. Cependant, nous avons fixé un prix compétitif pour le produit, de sorte qu’il ne coûte qu’un peu plus cher que ce que certains autres fournisseurs facturent pour leur seul composant planificateur. Nous avons également constaté que, d’après notre expérience, nos clients commencent généralement par utiliser un de nos produits, puis s’étendent rapidement à plusieurs produits. Nous avons donc estimé qu’il était préférable d’offrir tous les 1,600+ composants et frameworks pour un abonnement qui commence à 395 $ par mois pour une équipe de 5 développeurs. De plus, nous pourrions être en mesure d’offrir des réductions en fonction des promotions actuellement actives. Veuillez contacter nos spécialistes produit dès aujourd’hui pour savoir si vous êtes admissible à des réductions supplémentaires.

Non, il s’agit d’un produit commercial qui nécessite une licence payante. Cependant, une licence communautaire gratuite est également disponible pour les entreprises et les particuliers dont les organisations ont un chiffre d’affaires annuel brut inférieur à 1 million USD et cinq développeurs ou moins.

Un bon point de départ serait notre documentation complète de démarrage.

Nos clients nous aiment

Grâce à un excellent ensemble d’outils et à une excellente équipe d’assistance, Syncfusion® réduit le temps de développement de ses clients.
Voici quelques-uns de leurs témoignages.

Voir de vraies histoires de réussite

Des développeurs du monde entier font confiance à Essential Studio de Syncfusion pour simplifier les projets complexes et accélérer leur livraison. Grâce à sa vaste bibliothèque de contrôles d’interface utilisateur, à ses SDK puissants et à son support fiable, Essential Studio aide les équipes à créer des applications prêtes pour l’entreprise en toute confiance.

Explorer des études de cas


Evalue par des utilisateurs du monde entier.

Transformez vos apps aujourd’hui avec version d’essai gratuite ici a
Télécharger l'essai gratuit Aucune carte de crédit requise.

Recompenses

L’excellence—c’est une chose de l’affirmer, mais cela signifie davantage lorsque les autres la reconnaissent. Syncfusion® est fier de détenir les récompenses de l'industrie suivantes.

Up arrow icon
Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Le React Scheduler, ou calendrier d’événements, est un composant de calendrier d’événements complet qui aide les utilisateurs à gérer leur temps efficacement. Il facilite la planification facile des ressources et la replanification des événements ou des rendez-vous via des pop-ups d’édition, le glisser-déposer et les actions de redimensionnement.


Pourquoi choisir Syncfusion React Scheduler ?

React Scheduler High Performance image

Haute performance

Le React Scheduler charge les données à la demande par défaut pour réduire les temps de transfert et de chargement. Un mappage de champs approprié est obligatoire lors de la liaison du Scheduler à des sources de données avec des noms de champs différents.

React Scheduler Effective Data Binding image

Liaison de données transparente

Liez les données de manière transparente avec diverses sources de données locales et distantes telles que JSON, OData, WCF et les services Web RESTful à l’aide d’un gestionnaire de données.

React Scheduler Multiple Views image

Vues intégrées

Plusieurs modes de vue intégrés sont disponibles : jour, semaine, semaine de travail, mois, agenda, mois-agenda, année et chronologie. Avec une variété de variables spécifiques à la vue, vous pouvez personnaliser chaque vue.

React Scheduler Recurring Events image

Événements récurrents

Configurez facilement des événements récurrents à répéter quotidiennement, hebdomadairement, mensuellement ou annuellement avec des options de récurrence intégrées.

React Scheduler Multiple Resource image

Plusieurs ressources et regroupement

Pour regrouper les ressources selon plusieurs facteurs, le React Scheduler offre un large éventail d’options flexibles. Il couvre également la planification des chronologies et le regroupement des rendez-vous par ressource et par date.

React Scheduler Adaptive Ui Support image

S’adapte à n’importe quelle résolution

Le Scheduler a une mise en page très réactive et une conception optimisée pour les ordinateurs de bureau, les écrans tactiles et les smartphones. Il fonctionne bien sur tous les téléphones mobiles utilisant iOS, Android ou Windows OS.

React Scheduler Attractive Theme Support image

Thèmes personnalisables attrayants

Design de pointe avec plus de 5 thèmes intégrés tels que Fluent, Tailwind CSS, Bootstrap, Material, Fabric, et plus encore. Utilisez l’outil Theme Studio en ligne pour personnaliser facilement les thèmes du Scheduler.

React Scheduler Globalization Support image

Mondialisation et localisation

Permet aux utilisateurs de différentes régions d’utiliser le Scheduler en formatant les dates, la devise et la numérotation selon leurs préférences.


AI Scheduler pour une planification plus intelligente

L’AI Scheduler organise facilement votre calendrier. Il suffit de taper des instructions comme “Rencontrez l’équipe tous les vendredis à 10h”, et il s’occupe du reste. Il vérifie les conflits, suggère les horaires optimaux et organise visuellement votre calendrier.

Découvrez une planification plus intelligente avec cette démo

React Smart Scheduler image


Exemple de code React Scheduler

Commencez facilement avec le React Scheduler en utilisant quelques lignes simples d’exemple de code TSX comme démontré ci-dessous. Explorez également notre exemple de React Scheduler qui vous montre comment rendre et configurer un Scheduler dans React.

import * as React from 'react';
import {
  ScheduleComponent, ViewsDirective, ViewDirective, Day, Week, WorkWeek, Month, Agenda, Inject
} from '@syncfusion/ej2-react-schedule';

const App = () => {
  const data = [{
    Id: 1,
    Subject: 'Scrum Meeting',
    Location: 'Office',
    StartTime: new Date(2022, 0, 1, 9, 30),
    EndTime: new Date(2023, 0, 1, 10, 30),
    RecurrenceRule: 'FREQ=WEEKLY;BYDAY=MO,TU,WE,TH,FR;INTERVAL=1'
  }];

  return (
    <div>
      <ScheduleComponent height='650px' eventSettings={{ dataSource: data }}>
        <ViewsDirective>
          <ViewDirective option='Day' />
          <ViewDirective option='Week' />
          <ViewDirective option='WorkWeek' />
          <ViewDirective option='Month' />
          <ViewDirective option='Agenda' />
        </ViewsDirective>
        <Inject services={[Day, Week, WorkWeek, Month, Agenda]} />
      </ScheduleComponent>
    </div>
  );
}
const root = ReactDOM.createRoot(document.getElementById('schedule'));
root.render(<App />);

Plusieurs vues de planificateur

Une grande variété de modes de vue intégrés sont disponibles : jour, semaine, semaine de travail, mois, agenda, mois-agenda, année et chronologie. Configurez facilement chaque vue individuelle avec différentes options spécifiques à la vue.

Vue Jour dans le composant React Scheduler.

Vue jour, semaine et semaine de travail

Affichez les rendez-vous pour un seul jour ou sur plusieurs jours à l’aide du React Scheduler.

Vue Mois dans le composant React Scheduler.

Vue mois

Dans le React Scheduler, vous pouvez afficher les événements et les rendez-vous sur un seul jour ou plusieurs jours pour un mois entier.

Vue Agenda dans le composant React Scheduler.

Vue agenda

Chargez les événements virtuellement et affichez-les sous forme de liste dans un ordre séquentiel regroupé par jour. Une option existe pour spécifier le nombre de jours à charger initialement dans la vue agenda du React Scheduler.

Vue agenda du mois dans le composant React Scheduler.

Vue mois-agenda

Affichez la disposition du calendrier et les événements de la date actuellement sélectionnée. Un indicateur rond au bas d’une date indique la présence d’un ou plusieurs événements ce jour-là.

Vue Année dans le composant React Scheduler.

Vue année

La vue année affiche tous les mois d’une année particulière au format calendrier. Dans cette vue calendrier, les dates contenant des événements et des rendez-vous sont mises en évidence par des points placés sous la date individuelle. Lorsque vous cliquez sur la date, la fenêtre contextuelle de l’événement s’affiche et les événements sont répertoriés.


Vues chronologiques

React fournit cinq vues chronologiques intégrées : jour chronologique, semaine chronologique, semaine de travail chronologique, mois chronologique et année chronologique. Chaque vue affiche les événements avec précision le long d’un axe temporel horizontal pour un seul jour ou plusieurs jours.

Pour offrir de meilleures performances, les vues chronologiques chargent les ressources, les événements et les rendez-vous virtuellement à chaque action de défilement.

Vue chronologique dans le composant React Scheduler.


Vue unique dans le composant React Scheduler.

Configurations de vue uniques

Configurez facilement chaque mode de vue individuel avec des paramètres de calendrier différents. Par exemple, vous pouvez activer la fonction de regroupement en vue mois et appliquer des modèles d’événements en vue semaine.


Intervalles de vue extensibles

Affichez plusieurs jours, semaines et mois en étendant chaque mode de vue en fonction du nombre d’intervalles fourni.

Intervalles de vue extensibles visibles dans le composant React Scheduler.


Intervalles de temps de blocage dans le composant React Scheduler.

Intervalle de temps de blocage

Vous pouvez bloquer des plages horaires spécifiques sur le calendrier d’événements React pour empêcher la création d’événements et de rendez-vous dans ce créneau horaire.


Rendez-vous en ligne

Lorsque cette fonction est activée, les utilisateurs peuvent créer et modifier des rendez-vous en ligne en un seul clic sur les cellules du planificateur ou sur le sujet du rendez-vous existant. Appuyer sur Entrée après avoir tapé le nouveau texte du sujet dans la zone de texte en ligne mettra à jour et enregistrera le rendez-vous de manière appropriée.

Rendez vous en ligne dans le composant React Scheduler.


Options de gestion d’événements avancées

Le React Event Calendar fournit des représentations claires, vives et exactes des événements et des rendez-vous sur la chronologie du Scheduler, en fonction de leur durée assignée.

Illustration des capacités dajout et dédition du React Scheduler.

Capacités d’ajout et d’édition

Il existe un support intégré pour une meilleure gestion des événements, comme la création et l’édition plus faciles des rendez-vous à l’aide de l’éditeur d’événements par défaut ou par des actions intuitives de glisser-déposer et de redimensionnement. De plus, vous pouvez également ajouter des champs de données personnalisés aux événements et à la source de données de ressources.

Illustration de la sélection multiple dévénements dans React Scheduler.

Sélection multiple d’événements

Sélectionnez facilement plusieurs événements à la fois en appuyant sur la touche Ctrl et en cliquant sur les événements. Sur les appareils mobiles, faites de même en appuyant longuement sur un événement, puis continuez la sélection en appuyant simplement sur d’autres événements. Après avoir sélectionné les événements avec succès, supprimez-les ou repositionnez-les simultanément.

Illustration des infobulles dévénements du React Scheduler.

Info-bulle

L’info-bulle personnalisable affiche les informations de l’événement lorsque le pointeur de la souris survole l’événement. Faites de même sur les appareils mobiles en appuyant longuement sur un événement.

Illustration de la personnalisation des événements avec React Scheduler.

Personnalisation de l’apparence

Modifiez l’apparence des événements et des rendez-vous du React Scheduler en personnalisant leur apparence et leur style par défaut à l’aide de n’importe quel HTML ou CSS.

Illustration du support des fuseaux horaires de React Scheduler.

Fuseau horaire

Indépendamment du fuseau horaire du système, le React Event Calendar prend en charge la définition du fuseau horaire requis pour le contrôle lui-même, ainsi que pour les événements.

Illustration du support du presse-papiers de React Scheduler.

Presse-papiers

Le React Scheduler prend en charge la fonctionnalité du presse-papiers, permettant aux utilisateurs de gérer les événements efficacement. Les utilisateurs peuvent copier les événements sélectionnés à l’aide du raccourci Ctrl+C, couper les événements avec Ctrl+X, et coller les événements dans différents créneaux horaires à l’aide de Ctrl+V.


Hauteur automatique des lignes dans le composant React Scheduler.

Lignes adaptatives

Une option intégrée a été ajoutée au React Event Calendar pour augmenter automatiquement la hauteur des lignes dans les vues mois et chronologie lorsque de nouveaux événements ou rendez-vous concurrents sont ajoutés.


Un menu contextuel intégré au React Scheduler s’ouvre lorsqu’une cellule ou un rendez-vous est cliqué avec le bouton droit.

Menu contextuel dans le composant React Scheduler.


Synchronisation des données en temps réel

Les données de rendez-vous en temps réel se synchronisent précisément avec notre React Scheduler.

Illustration de lintégration de Google Calendar avec le React Scheduler.

Intégration d’Outlook et de Google Calendar

Synchronisez facilement les événements entre notre React Event Calendar et Google ou Outlook Calendar via l’API Google Calendar ou la bibliothèque d’objets Microsoft Outlook.

Illustration des mises à jour en temps réel du React Scheduler.

Mises à jour en temps réel

La communication de données bidirectionnelle transmet les mises à jour de rendez-vous côté serveur effectuées sur le Scheduler à tous les clients connectés via SignalR.


Options de calendrier riches en fonctionnalités

Le React Event Calendar hérite de presque toutes les fonctionnalités spécifiques au calendrier, telles que le premier jour de la semaine et l’échelle de temps.

Illustration du premier jour de la semaine du React Scheduler.

Premier jour de la semaine

Personnalisez le premier jour de la semaine, qui est par défaut le dimanche, selon les paramètres régionaux par défaut. Vous pouvez également utiliser cette option pour les vues individuelles.

Illustration de la définition des heures de début et de fin sur React Scheduler.

Heures de début et de fin personnalisées

Affichez la mise en page du planificateur d’événements avec des durées spécifiques en masquant les heures indésirables.

Illustration des options déchelle de temps du React Scheduler.

Échelle de temps flexible

Utilisez des options d’échelle de temps personnalisables pour visualiser clairement une chronologie d’événements et définir une durée différente.

Illustration du temps de travail du React Scheduler.

Temps de travail

Les cellules actives du planificateur (affichées en blanc) représentent visuellement les jours de travail et les heures de travail.

Illustration de la mise en évidence de lheure actuelle dans React Scheduler.

Mise en évidence de l’heure actuelle

Indiquez la date actuelle avec un en-tête de date mis en évidence. Marquez précisément l’heure actuelle sur toutes les vues.

Illustration de la dissimulation des jours de week end dans React Scheduler.

Dissimuler les jours de week-end

Dissimuler les jours de week-end du planificateur vous permet d’afficher uniquement les jours de travail dans toutes les vues.

Illustration de laffichage des numéros de semaine dans React Scheduler.

Affichage du numéro de semaine

Affichez le numéro de semaine de la plage de dates actuelle à côté de l’en-tête de date dans les vues jour, semaine et semaine de travail. Affichez également le numéro de semaine dans la vue mois comme première colonne. Le numéro de semaine est déterminé par le premier jour de la semaine et les règles de semaine (premier jour ou première semaine complète, ou première semaine de quatre jours).

Illustration de laffichage du format de lheure dans React Scheduler.

Mode horaire

Le contrôle Scheduler prend en charge les formats horaires de 12 heures et de 24 heures.


Interface utilisateur entièrement personnalisable

Personnalisez l’apparence de n’importe quelle partie de l’interface du Scheduler à l’aide de styles HTML et CSS.

Illustration de la personnalisation de len tête de date dans React Scheduler.

En-tête de date

Modifiez l’apparence par défaut de la barre d’en-tête en ajoutant n’importe quel type de CSS, de texte personnalisé ou d’image.

Illustration de la personnalisation complète du React Scheduler.

Interface utilisateur complète du planificateur

Un événement côté client intégré permet aux utilisateurs finaux de personnaliser n’importe quelle partie de l’interface utilisateur du planificateur.

Illustration de la barre den tête courante dans React Scheduler.

Barre d’en-tête

Ajoutez des éléments personnalisés aux options de la barre d’en-tête par défaut. Vous pouvez masquer ou afficher les options de la barre d’en-tête communes.

Illustration de la personnalisation des cellules avec React Scheduler.

Cellules du planificateur

Les options de modèle prêtes à l’emploi vous permettent de personnaliser facilement les cellules en ajoutant n’importe quel type de texte, d’image ou de CSS.

Illustration des pop ups rapides dans React Scheduler.

Pop-ups rapides

Personnalisez facilement les pop-ups qui s’ouvrent en cliquant simplement sur les cellules, les événements ou les rendez-vous avec votre propre interface utilisateur ou conception de modèle.

Illustration de léditeur dévénements de React Scheduler.

Ouvrir l’éditeur d’événements en externe

Le calendrier d’événements React offre une méthode intégrée pour ouvrir la fenêtre de l’éditeur d’événements par défaut par programmation.


Interactions conviviales

La conception UI moderne et tendance du React Scheduler rend les interactions utilisateur plus simples et plus efficaces.

Fenêtre contextuelle affichant les informations sur lévénement.

Aperçu rapide des événements

Cliquer ou appuyer sur des événements affiche leurs détails importants, tels que le sujet et l’heure, ainsi que les options d’édition et de suppression.

Sélection de cellules du React Scheduler.

Sélection de cellules

Cliquez et faites glisser le pointeur sur les cellules du planificateur pour une sélection multiple de cellules. Vous pouvez faire de même avec les raccourcis clavier.

Conteneur dévénements affiché dans le calendrier du mois.

Conteneur d’événements

Un clic sur l’indicateur de texte (+n more) dans les vues mois et chronologie ouvrira un conteneur d’événements répertoriant tous les détails d’événements et de rendez-vous masqués d’une journée.

Options de navigation dans le React Scheduler.

Le React Scheduler offre un moyen intuitif de naviguer entre les plages de dates à l’aide d’un calendrier intégré, et également de naviguer entre les différents modes d’affichage.


Calendrier dévénements React utilisé dans des applications en temps réel.

Applications en temps réel

De nombreuses applications en temps réel utilisent des planificateurs comme partie intégrante, servant ainsi à différentes fins selon le type de projet. Certaines des applications actives sont : Calendrier tarifaire, Calendrier de salles de réunion, Planificateur de rendez-vous chez le médecin, Réservation de chambres d’hôtel.


Fonctionnalités interactives

Le React Scheduler permet aux utilisateurs d’exporter ses événements de deux manières : sous forme de fichier Excel ou sous forme de fichier ICS.

Illustration du support exportation Excel dans React Scheduler.

Exporter vers Excel

Le React Scheduler vous permet d’exporter tous ses événements vers un document Excel par défaut. Il offre également des options de personnalisation supplémentaires pour exporter des collections de données d’événements personnalisées.

Illustration de lexportation et de limportation de fichiers ICS dans React Event Calendar.

Exporter et importer des ICS

Le React Event Calendar prend en charge l’exportation de toutes ses données d’événements au format iCal, et il prend en charge l’importation d’événements à partir d’un fichier iCal dans le Scheduler.

APIs conviviales pour les développeurs de React Scheduler.

APIs conviviales pour les développeurs

Les développeurs peuvent avoir un contrôle total sur l’interface utilisateur et le comportement du calendrier d’événements grâce à ses APIs intégrées et conviviales pour les développeurs. Cela vous permet de personnaliser facilement même les fonctionnalités complexes du planificateur.


Accessibilité

Le composant React Scheduler est facilement accessible par les lecteurs d’écran. Un support complet d’interaction au clavier a également été fourni.

React Scheduler avec accessibilité activée.

Entièrement accessible

Le composant React Scheduler offre une prise en charge complète de l’accessibilité WAI-ARIA. L’interface utilisateur du Scheduler comprend des éléments visuels à contraste élevé, offrant aux personnes malvoyantes la meilleure expérience de visualisation. De plus, les descriptions d’interface utilisateur valides sont facilement accessibles grâce aux technologies d’assistance telles que les lecteurs d’écran.

Calendrier dévénements React interactif au clavier.

Interactif au clavier

Divers raccourcis clavier sont disponibles pour effectuer presque toutes les actions du planificateur, telles que la sélection multiple de cellules ou d’événements et la navigation vers d’autres vues.

Support de droite à gauche dans React Scheduler.

De droite à gauche (RTL)

Affichez l’ordonnanceur d’événements en suivant les conventions appropriées de droite à gauche.






Autres frameworks majeurs pris en charge

En plus de React, une intégration intégrée est disponible pour ces frameworks majeurs.

Foire aux questions

Le React Scheduler de Syncfusion offre les fonctionnalités suivantes :- Une mise en page très réactive et un design finement optimisé pour les ordinateurs de bureau, les tablettes et les téléphones mobiles.- Différentes vues de base comme le jour, la semaine, la semaine de travail, le mois et le mode calendrier annuel et le mode chronologique.- Le défilement virtuel permet aux utilisateurs de charger un grand nombre de ressources et d’événements dynamiquement.- S’adapte instantanément aux différents fuseaux horaires.- Regroupement de plusieurs ressources basé sur les vues chronologique, horizontale, hiérarchique et par date.- L’un des meilleurs React Scheduler du marché qui offre une interface utilisateur riche en fonctionnalités pour interagir avec le logiciel.- Synchronisation facile des événements avec les calendriers Google et Outlook.- Configuration simple et API.- Prend en charge tous les navigateurs modernes.- De vastes ressources d’apprentissage telles que des démos, de la documentation et des vidéos pour apprendre rapidement et démarrer avec le React Scheduler.

Nous ne vendons pas le React Scheduler séparément. Il n’est disponible à l’achat qu’en tant que partie de la licence d’équipe Syncfusion. Celle-ci contient plus de 1,600 composants et frameworks, y compris le React Scheduler. Le prix de la licence d’équipe commence à 395 $ par mois pour 5 développeurs et comprend le support et les mises à jour jusqu’à l’expiration de l’abonnement. De plus, nous pourrions offrir des réductions basées sur les promotions actuellement actives. Veuillez contacter nos spécialistes produits dès aujourd’hui pour voir si vous êtes admissible à des réductions supplémentaires.

Vous pouvez trouver notre démo du React Scheduler, qui montre comment rendre et configurer le Scheduler.

Vous pouvez créer un Scheduler dans React en utilisant le composant React Scheduler de Syncfusion Démarrage rapide. Installez le paquet @syncfusion/ej2-react-schedule, importez le ScheduleComponent et configurez les vues, les sources de données et les paramètres d’événements.

Syncfusion propose une licence communautaire gratuite pour les particuliers et les petites entreprises, ce qui fait de son React Scheduler l’une des meilleures options gratuites. Il offre des fonctionnalités de niveau entreprise, notamment plusieurs vues, le regroupement de ressources et l’édition d’événements sans limitations.

Non, nos 1,600+ composants et frameworks pour le web, le mobile et le bureau, y compris notre React Scheduler, ne sont pas vendus individuellement. Ils ne sont disponibles que dans le cadre d’une licence d’équipe. Cependant, nous avons fixé un prix compétitif pour le produit, de sorte qu’il ne coûte qu’un peu plus cher que ce que certains autres fournisseurs facturent pour leur composant Scheduler seul. Nous avons également constaté, d’après notre expérience, que nos clients commencent généralement par utiliser l’un de nos produits, puis s’étendent rapidement à plusieurs produits. C’est pourquoi nous avons estimé qu’il était préférable d’offrir tous les 1,600+ composants et frameworks pour un forfait d’abonnement qui commence à 395 $ par mois pour une équipe de 5 développeurs. De plus, nous pourrions être en mesure d’offrir des réductions basées sur les promotions actuellement actives. Veuillez contacter nos spécialistes produits dès aujourd’hui pour savoir si vous êtes admissible à des réductions supplémentaires.

Non, il s’agit d’un produit commercial et il nécessite une licence payante. Cependant, une licence communautaire gratuite est également disponible pour les entreprises et les particuliers dont les organisations ont un chiffre d’affaires annuel brut inférieur à 1 million USD et cinq développeurs ou moins.

Un bon point de départ serait notre documentation complète de démarrage.

Le composant Schedule de Syncfusion React est un composant complet de gestion de calendrier et de rendez-vous. Il vous permet d’afficher des événements, de gérer des ressources, d’activer le glisser-déposer et de personnaliser les vues. Il prend en charge les événements récurrents, la gestion des fuseaux horaires et l’intégration avec des calendriers externes comme Google et Outlook.

Syncfusion React Calendar est un sélecteur de dates léger pour sélectionner une ou plusieurs dates. Il se concentre sur l’affichage des dates et la navigation de base entre les mois et les années.Syncfusion React Scheduler est un gestionnaire de rendez-vous complet qui prend en charge les événements, les ressources, les rendez-vous récurrents, plusieurs vues (jour, semaine, mois, chronologique), le glisser-déposer et l’intégration avec des calendriers externes comme Google et Outlook.

Nos clients nous aiment

Grâce à un excellent ensemble d’outils et à une excellente équipe d’assistance, Syncfusion® réduit le temps de développement de ses clients.
Voici quelques-uns de leurs témoignages.

Voir de vraies histoires de réussite

Des développeurs du monde entier font confiance à Essential Studio de Syncfusion pour simplifier les projets complexes et accélérer leur livraison. Grâce à sa vaste bibliothèque de contrôles d’interface utilisateur, à ses SDK puissants et à son support fiable, Essential Studio aide les équipes à créer des applications prêtes pour l’entreprise en toute confiance.

Explorer des études de cas


Evalue par des utilisateurs du monde entier.

Transformez vos apps aujourd’hui avec version d’essai gratuite ici a
Télécharger l'essai gratuit Aucune carte de crédit requise.

Recompenses

L’excellence—c’est une chose de l’affirmer, mais cela signifie davantage lorsque les autres la reconnaissent. Syncfusion® est fier de détenir les récompenses de l'industrie suivantes.

Activités récentes dans les blogs et tutoriels React Scheduler

Les articles de blog et les vidéos tutoriels sur le React Scheduler vous guideront dans la création de votre première application avec les composants React. Ils fournissent des stratégies de résolution de problèmes, décrivent les fonctionnalités, annoncent les nouvelles versions de fonctionnalités, expliquent les meilleures pratiques et présentent des scénarios d’exemple. Explorez nos derniers articles sur notre blog et nos chaînes vidéo tutoriel pour les mises à jour du React Scheduler.

Up arrow icon
Syncfusion Feedback